## net.sf.saxon.style
Class Declaration

    java.lang.Object
      net.sf.saxon.style.Declaration

    public class Declaration

extends Object

The object represents a declaration (that is, a top-level element) in a stylesheet. A declaration exists within a stylesheet module and takes its import precedence from that of the module. The declaration corresponds to a source element in a stylesheet document. However, if a stylesheet module is imported twice with different precedences, then two declarations may share the same source element.

Constructor Summary
`Declaration(StylesheetModule module, StyleElement source)`

Method Summary
`StylesheetModule` `getModule()`
`int` `getPrecedence()`
`StyleElement` `getSourceElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Declaration

    public Declaration(StylesheetModule module,
                       StyleElement source)

Method Detail

### getModule

    public StylesheetModule getModule()

### getSourceElement

    public StyleElement getSourceElement()

### getPrecedence

    public int getPrecedence()

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.